Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.admin.service.util
Class SignatureData

    java.lang.Object
      org.wso2.wsas.admin.service.util.SignatureData

    public class SignatureData

extends java.lang.Object

Signature configuration status bean

Constructor Summary
`SignatureData()`

Method Summary
`java.lang.String` | `getPrivateKeyStore()`
`int` | `getRepetition()`
`java.lang.String[][]` | `getSignatureParts()`
`java.lang.String[]` | `getTrustStores()`
`boolean` | `isEnabled()`
`void` | `setEnabled(boolean enabled)`
`void` | `setPrivateKeyStore(java.lang.String privateKeyStore)`
`void` | `setRepetition(int repetition)`
`void` | `setSignatureParts(java.lang.String[][] signatureParts)`
`void` | `setTrustStores(java.lang.String[] trustStores)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureData

    public SignatureData()

Method Detail

### isEnabled

    public boolean isEnabled()

### setEnabled

    public void setEnabled(boolean enabled)

### getRepetition

    public int getRepetition()

### setRepetition

    public void setRepetition(int repetition)

### getSignatureParts

    public java.lang.String[][] getSignatureParts()

### setSignatureParts

    public void setSignatureParts(java.lang.String[][] signatureParts)

### getTrustStores

    public java.lang.String[] getTrustStores()

### setTrustStores

    public void setTrustStores(java.lang.String[] trustStores)

### getPrivateKeyStore

    public java.lang.String getPrivateKeyStore()

### setPrivateKeyStore

    public void setPrivateKeyStore(java.lang.String privateKeyStore)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD